/**
 * Single group information
 * 
 * @author Pierre HUBERT
 */

/**
 * Group visibility level
 */
export enum GroupVisibilityLevel {
	OPEN_GROUP = 0,
	PRIVATE_GROUP = 1,
	SECRETE_GROUP = 2
}

/**
 * Access level of a user to a group
 */
export enum GroupsAccessLevel {
	NO_ACCESS = 0, //Can not even know if the group exists or not
	LIMITED_ACCESS = 1, //Access to the name of the group only
	VIEW_ACCESS = 2, //Can see the posts of the group, but not a member of the group
	MEMBER_ACCESS = 3, //Member access (same as view access but as member)
	MODERATOR_ACCESS = 4, //Can create posts, even if posts creation is restricted
	ADMIN_ACCESS = 5, //Can do everything
}